package com.cooleshow.usercenter.injection.component


import com.cooleshow.base.injection.PerComponentScope
import com.cooleshow.base.injection.component.ActivityComponent
import com.cooleshow.usercenter.injection.module.UploadModule
import com.cooleshow.usercenter.injection.module.UserModule
import com.cooleshow.usercenter.ui.activity.LoginActivity

import dagger.Component

/*
    用户模块Component
 */
@PerComponentScope
@Component(dependencies = arrayOf(ActivityComponent::class),modules = arrayOf(
    UserModule::class,
    UploadModule::class)
)
interface UserComponent {

    fun inject(activity: LoginActivity)
//    fun inject(activity:RegisterActivity)
//    fun inject(activity:ForgetPwdActivity)
//    fun inject(activity:ResetPwdActivity)
//    fun inject(activity:UserInfoActivity)
}
